Get the available Medical Service filters
/v1/services/filtersGet filters endpoint is used to get available filters at a location or country. Its response can be used to build the search form and send the user selected filter values back to the server.
Exactly one of the countryCode or location parameters is
mandatory.
Any filter key except name is, or might be, optional in the future.
The resulting filter data should be sent to the
POST /v1/services/filters/apply endpoint.
Authorization
BearerToken Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.
In: header
Query Parameters
The specialization types the filters should be filtering. The
default value includes all supported types. Filters might differ
in case of different selected types, e.g. the HOSPITAL type has
no gender. In this case the filter will be omitted.
A country code supported by XUND.
An object of latitude-longitude pair. In a GET request use the
location[latitude]=42.0121&location[longitude]=16.3234 format
when sending the parameter.
Header Parameters
The expected language of the response.
Response Body
application/json
curl -X GET "https://example.com/v1/services/filters?countryCode=AT" \ -H "authorization: Bearer <token>" \ -H "language: en"{ "name": { "text": "Name", "type": "TEXT" }, "genders": { "text": "Genders", "type": "MULTISELECT", "values": [ { "value": "80e5d6f2-d486-45c7-8e3e-7e73e3dd0519", "code": "FEMALE", "text": "Female" }, { "value": "b23eb6b5-fc24-4a49-bf7d-ab695c8f04a1", "code": "MALE", "text": "Male" } ] }, "specializations": { "type": "MULTISELECT", "text": "Specializations", "values": [ { "text": "Pharmacy", "value": "f68591e1-b5cd-45bb-aa75-9f8ff880d0e7", "code": "PHARMACY" }, { "text": "Hospital", "value": "f82a81ed-e186-4bc7-a19f-307acd5aaf83", "code": "HOSPITAL" }, { "text": "Nephrology", "value": "fa5255f0-5be1-4bbe-a86a-a0215146c314", "code": "DOCTOR" } ], "selectionLimit": 15 }, "openingHours": { "text": "Opening Hours", "type": "FILTER_LIST", "filters": { "mon": { "type": "MULTISELECT", "text": "Monday", "shortText": "Mon", "values": [ { "value": "9f609b60-ab5a-42f9-8038-b1b8291f54db", "code": "FORENOON", "text": "Forenoon" }, { "value": "a806eb0f-8746-4b9c-a930-98e10efa7dfd", "code": "AFTERNOON", "text": "Afternoon" } ] }, "tue": { "type": "MULTISELECT", "text": "Tuesday", "shortText": "Tue", "values": [ { "value": "9f609b60-ab5a-42f9-8038-b1b8291f54db", "code": "FORENOON", "text": "Forenoon" }, { "value": "a806eb0f-8746-4b9c-a930-98e10efa7dfd", "code": "AFTERNOON", "text": "Afternoon" } ] }, "wed": { "type": "MULTISELECT", "text": "Wednesday", "shortText": "Wed", "values": [ { "value": "9f609b60-ab5a-42f9-8038-b1b8291f54db", "code": "FORENOON", "text": "Forenoon" }, { "value": "a806eb0f-8746-4b9c-a930-98e10efa7dfd", "code": "AFTERNOON", "text": "Afternoon" } ] }, "thu": { "type": "MULTISELECT", "text": "Thursday", "shortText": "Thu", "values": [ { "value": "9f609b60-ab5a-42f9-8038-b1b8291f54db", "code": "FORENOON", "text": "Forenoon" }, { "value": "a806eb0f-8746-4b9c-a930-98e10efa7dfd", "code": "AFTERNOON", "text": "Afternoon" } ] }, "fri": { "type": "MULTISELECT", "text": "Friday", "shortText": "Fri", "values": [ { "value": "9f609b60-ab5a-42f9-8038-b1b8291f54db", "code": "FORENOON", "text": "Forenoon" }, { "value": "a806eb0f-8746-4b9c-a930-98e10efa7dfd", "code": "AFTERNOON", "text": "Afternoon" } ] }, "sat": { "type": "MULTISELECT", "text": "Saturday", "shortText": "Sat", "values": [ { "value": "9f609b60-ab5a-42f9-8038-b1b8291f54db", "code": "FORENOON", "text": "Forenoon" }, { "value": "a806eb0f-8746-4b9c-a930-98e10efa7dfd", "code": "AFTERNOON", "text": "Afternoon" } ] }, "sun": { "type": "MULTISELECT", "text": "Sunday", "shortText": "Sun", "values": [ { "value": "9f609b60-ab5a-42f9-8038-b1b8291f54db", "code": "FORENOON", "text": "Forenoon" }, { "value": "a806eb0f-8746-4b9c-a930-98e10efa7dfd", "code": "AFTERNOON", "text": "Afternoon" } ] } } }, "insurers": { "text": "Insurers", "type": "MULTISELECT", "values": [ { "text": "BVAEB", "value": "1" }, { "text": "ÖGK", "value": "2" }, { "text": "KFA", "value": "3" }, { "text": "SVS", "value": "4" } ] }, "location": { "text": "Location", "type": "LOCATION" }}Last updated on